
Ruby - Bug #13971

Ripper changes sexp - class methods

10/04/2017 03:19 PM - MSP-Greg (Greg L)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.0dev (2017-10-04 trunk 60116)

[x64-mingw32]

Backport: 2.3: UNKNOWN, 2.4: UNKNOWN

Description

nobu, thank you for the fixes. I apologize; I missed some in the 1st report.

Code:

# frozen_string_literal: true

require 'ripper'

require 'pp'

puts "\n#{RUBY_DESCRIPTION}"

puts         "\nmodule T ; def self.test(w) w ; end ; end"

pp Ripper.sexp('module T ; def self.test(w) w ; end ; end')

puts         "\nmodule T ; def self.<<(w) w ; end ; end"

pp Ripper.sexp('module T ; def self.<<(w) w ; end ; end')

puts         "\nmodule T ; class << self ; def test(w) w ; end ; end ; end"

pp Ripper.sexp('module T ; class << self ; def test(w) w ; end ; end ; end')

puts         "\nmodule T ; class << self ; def <<(w) w ; end ; end ; end"

pp Ripper.sexp('module T ; class << self ; def <<(w) w ; end ; end ; end')

 Distinction as to 'self':

svn 60116

[:var_ref, :self]

svn 60101

[:var_ref, [:@kw, "self", [1, 15]]]

 I'm finding these by running YARD, which uses Ripper for both its parsing and code highlighting.  I know RDoc is/has changed over

to using Ripper for parsing.

Hence, I'm not sure if these are expected 'breaking' changes or things that are not picked up in current Ripper tests...

Full output in attached files for 60101 and 60116.

Associated revisions

Revision 80855409ced7d4ace932870dc515af54f64ceaa5 - 10/05/2017 01:53 AM - nobu (Nobuyoshi Nakada)

parse.y: fix KWD2EID

parse.y (KWD2EID): should respect the previous callback result

for keywords.  [ruby-core:83106] [Bug #13971]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60120 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 80855409 - 10/05/2017 01:53 AM - nobu (Nobuyoshi Nakada)

parse.y: fix KWD2EID
parse.y (KWD2EID): should respect the previous callback result

for keywords.  [ruby-core:83106] [Bug #13971]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@60120 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/05/2017 01:53 AM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Closed

Applied in changeset trunk|r60120.

parse.y: fix KWD2EID

parse.y (KWD2EID): should respect the previous callback result

for keywords.  [ruby-core:83106] [Bug #13971]

Files

60116.txt 1.92 KB 10/04/2017 MSP-Greg (Greg L)

60101.txt 1.99 KB 10/04/2017 MSP-Greg (Greg L)
